Bug 258518

Summary: lang/python36: Update to 3.6.15
Product: Ports & Packages Reporter: Mike Fisher <mfisher911>
Component: Individual Port(s)Assignee: Kai Knoblich <kai>
Status: Closed FIXED    
Severity: Affects Many People CC: kai, ports-secteam, python
Priority: Normal Keywords: security
Version: LatestFlags: kai: maintainer-feedback+
kai: merge-quarterly+
Hardware: Any   
OS: Any   

Description Mike Fisher 2021-09-15 17:28:43 UTC
Minor version bump to 3.6.15

diff -u /usr/ports/lang/python-doc-html/distinfo python-doc-html/distinfo
--- /usr/ports/lang/python-doc-html/distinfo	2021-09-09 08:19:03.000000000 -0400
+++ python-doc-html/distinfo	2021-09-15 13:17:36.092576000 -0400
@@ -1,4 +1,4 @@
-TIMESTAMP = 1630498262
+TIMESTAMP = 1631719446
 SHA256 (python/python-2.7.18-docs-html.tar.bz2) = 20445e9a571cacdd350f702f0980e4dc559b6ff81f1d69affe9b0a862fef2f0e
 SIZE (python/python-2.7.18-docs-html.tar.bz2) = 4634932
 SHA256 (python/python-2.7.18-docs-pdf-a4.tar.bz2) = dbac6953e48aac341351067ba0938393e415b10bf48ac8cbbc7247deaf13ab67
@@ -15,14 +15,14 @@
 SIZE (python/python-3.10.0rc1-docs-pdf-letter.tar.bz2) = 16259445
 SHA256 (python/python-3.10.0rc1-docs-text.tar.bz2) = e735dcccc7b4e4b840bd4f2f79464ec9946f217457fa163b8f7376a2090e8871
 SIZE (python/python-3.10.0rc1-docs-text.tar.bz2) = 2613315
-SHA256 (python/python-3.6.14-docs-html.tar.bz2) = 73e2396f4835274edaddbe419cda21cb9f77c7e1d269df05f52ba2774b0f536d
-SIZE (python/python-3.6.14-docs-html.tar.bz2) = 6022374
-SHA256 (python/python-3.6.14-docs-pdf-a4.tar.bz2) = d5e3985b4da71400cee777ac683ca359301e2d2ef8832db923640059931686dc
-SIZE (python/python-3.6.14-docs-pdf-a4.tar.bz2) = 13887851
-SHA256 (python/python-3.6.14-docs-pdf-letter.tar.bz2) = cb2f4a7a781f5d7cd35f1d227d9813dcf44e19807e756431c526c032943c97bd
-SIZE (python/python-3.6.14-docs-pdf-letter.tar.bz2) = 13887018
-SHA256 (python/python-3.6.14-docs-text.tar.bz2) = 2ae0207f594b3cedfd1665cebe49082ce68f34a8badaa1ad7931a89f3be89727
-SIZE (python/python-3.6.14-docs-text.tar.bz2) = 2169509
+SHA256 (python/python-3.6.15-docs-html.tar.bz2) = c7f1a79bf43634d96cb188d9eeb3dede16fa3dd5824f7c42a33fae9f1f39b76b
+SIZE (python/python-3.6.15-docs-html.tar.bz2) = 6020652
+SHA256 (python/python-3.6.15-docs-pdf-a4.tar.bz2) = 1c3face777633d59610cde54f0a158622e6cf3ff61b25114303c1e0bdbdc68f3
+SIZE (python/python-3.6.15-docs-pdf-a4.tar.bz2) = 13846530
+SHA256 (python/python-3.6.15-docs-pdf-letter.tar.bz2) = 7bf4a6c0bf68fdc808d009b27c6ae1aed5d8e03e924e5befb4e068fbaba8e3ab
+SIZE (python/python-3.6.15-docs-pdf-letter.tar.bz2) = 13846964
+SHA256 (python/python-3.6.15-docs-text.tar.bz2) = 23619892a393b7be7df83d91ca338528762e2f23da8246eca145759d3da14ced
+SIZE (python/python-3.6.15-docs-text.tar.bz2) = 2143437
 SHA256 (python/python-3.7.11-docs-html.tar.bz2) = 544f8d1b92cb6c9bf2a173e4daa646c4b1f2ba800e1e3d20aa1010a75d63fe13
 SIZE (python/python-3.7.11-docs-html.tar.bz2) = 6294193
 SHA256 (python/python-3.7.11-docs-pdf-a4.tar.bz2) = bddc0cc38b7e4f5ba0affabd89e2d8b7adb7ba4f54d6216ce178c2517bb11b4c


diff -u /usr/ports/lang/python36/Makefile.version python36/Makefile.version
--- /usr/ports/lang/python36/Makefile.version	2021-07-06 10:59:30.000000000 -0400
+++ python36/Makefile.version	2021-09-15 11:21:43.000000000 -0400
@@ -2,4 +2,4 @@
 
 # Do not forget to update python documentation (lang/python-doc-*)
 # Run "make -C lang/python-doc-html makesum"
-PYTHON_DISTVERSION=	3.6.14
+PYTHON_DISTVERSION=	3.6.15
diff -u /usr/ports/lang/python36/distinfo python36/distinfo
--- /usr/ports/lang/python36/distinfo	2021-07-06 10:59:30.000000000 -0400
+++ python36/distinfo	2021-09-15 11:24:34.000000000 -0400
@@ -1,6 +1,6 @@
-TIMESTAMP = 1625323729
-SHA256 (python/Python-3.6.14.tar.xz) = 2663a7a0cfbd00fc76269dce4317db0b54be53c0f4d705aabb32b87efa02d5ae
-SIZE (python/Python-3.6.14.tar.xz) = 17218148
+TIMESTAMP = 1631719474
+SHA256 (python/Python-3.6.15.tar.xz) = 6e28d7cdd6dd513dd190e49bca3972e20fcf455090ccf2ef3f1a227614135d91
+SIZE (python/Python-3.6.15.tar.xz) = 17223796
 SHA256 (python/f57cd8288dbe6aba99c057f37ad6d58f8db75350.patch) = 44340896504b297bbab06db0bb0a71ddf9f25bbe02ab3dcdfeec2772c957b69f
 SIZE (python/f57cd8288dbe6aba99c057f37ad6d58f8db75350.patch) = 2542
 SHA256 (python/f9c01a16dae8aa15d264a1937fb589e8598d1c88.patch) = a5cf6ef701d6afb14417232c6723fe2c50d7bf35d87bf6b3e3bcbfa1000a38f9
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-19 05:39:19 UTC
Needs an patch (attachment) and QA (poudriere, at least)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-19 05:39:50 UTC
VuXML added in ports 0659e7ea70d0c9e7067d21e4be7ac052ff1c7c77
Comment 3 commit-hook freebsd_committer 2021-09-19 10:59:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=526932019c85c1f77cfb93ee63c5046bc99f5219

commit 526932019c85c1f77cfb93ee63c5046bc99f5219
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:47:11 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 10:47:11 +0000

    lang/python36: Update to 3.6.15

    Changelog:

    https://docs.python.org/release/3.6.15/whatsnew/changelog.html#changelog

    PR:             258518
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3
    Security:       0e561173-0fa9-11ec-a2fa-080027948c12

 lang/python36/Makefile.version | 2 +-
 lang/python36/distinfo         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-09-19 10:59:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fbe74ba5be4512f51250caac9a85c1e3ef21c9d3

commit fbe74ba5be4512f51250caac9a85c1e3ef21c9d3
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:50:03 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 10:50:03 +0000

    lang/python-doc-html: Update doc for Python 3.6.15

    PR:             258518
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3

 lang/python-doc-html/distinfo | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-09-19 17:36:36 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=03b4bc2eb059ec90d47b0a1f71375ac550cb452e

commit 03b4bc2eb059ec90d47b0a1f71375ac550cb452e
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:47:11 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 17:17:41 +0000

    lang/python36: Update to 3.6.15

    Changelog:

    https://docs.python.org/release/3.6.15/whatsnew/changelog.html#changelog

    PR:             258518
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3
    Security:       0e561173-0fa9-11ec-a2fa-080027948c12

    (cherry picked from commit 526932019c85c1f77cfb93ee63c5046bc99f5219)

 lang/python36/Makefile.version | 2 +-
 lang/python36/distinfo         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-09-19 17:36:38 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=838565c05bfffc5a68d4f5e0eb19d833a235bd95

commit 838565c05bfffc5a68d4f5e0eb19d833a235bd95
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-09-19 10:50:03 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-09-19 17:19:48 +0000

    lang/python-doc-html: Update doc for Python 3.6.15

    PR:             258518
    Reported by:    Mike Fisher
    Approved by:    kai (python, maintainer)
    MFH:            2021Q3

    (cherry picked from commit fbe74ba5be4512f51250caac9a85c1e3ef21c9d3)

 lang/python-doc-html/distinfo | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)
Comment 7 Kai Knoblich freebsd_committer 2021-09-19 17:43:34 UTC
(In reply to Mike Fisher from comment #0)

Committed to the main branch and MFH'ed to 2021Q3 branch!  Thank for the report, Mike!